Skip to main content
GET
/
nft
/
is-airdrop
Get Token Airdrop Flag
curl --request GET \
  --url https://api-test.uniblock.dev/uni/v1/nft/is-airdrop \
  --header 'X-API-KEY: <api-key>'
{
  "isAirdrop": "false"
}

Documentation Index

Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

API key to access the API (optional)

Query Parameters

chainId
enum<number>
default:1
required

Unique identifier for a blockchain network.

Available options:
1,
10,
10143,
11011,
11124,
11155111,
11155420,
130,
1301,
137,
168587773,
1868,
1946,
2741,
300,
324,
33111,
33139,
360,
37111,
42161,
421614,
43113,
43114,
480,
4801,
534351,
534352,
5371,
5373,
59141,
59144,
7777777,
80002,
80094,
81457,
8453,
84532,
999999999
Example:

1

contractAddress
string
default:0x81Ae0bE3A8044772D04F32398bac1E1B4B215aa8
required

The address of the NFT collection to query.

Example:

"0x81Ae0bE3A8044772D04F32398bac1E1B4B215aa8"

tokenId
string
default:1
required

The ID of the token.

Example:

"1"

includeRaw
boolean

Returns the raw data given by the provider. WARNING: removes backup feature, and raw data returned is not normalized which might make switching providers difficult

Example:

null

provider
enum<string>

Specify which provider to use. The project's provider priority list is used by default if no providers are selected. (Priority list can be managed on Uniblock's dashboard)

Available options:
Alchemy

Response

200 - application/json
isAirdrop
boolean
required

Determines if NFT is airdropped or not.

Example:

"false"